#ifndef _Handle_PColStd_HArray1OfInteger_HeaderFile
#define _Handle_PColStd_HArray1OfInteger_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColStd_HArray1OfInteger;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_HArray1OfInteger);

class Handle(PColStd_HArray1OfInteger) : public Handle(Standard_Persistent) {
  public:

    Handle(PColStd_HArray1OfInteger)():Handle(Standard_Persistent)() {} 
    Handle(PColStd_HArray1OfInteger)(const Handle(PColStd_HArray1OfInteger)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColStd_HArray1OfInteger)(const PColStd_HArray1OfInteger* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColStd_HArray1OfInteger)& operator=(const Handle(PColStd_HArray1OfInteger)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_HArray1OfInteger)& operator=(const PColStd_HArray1OfInteger* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_HArray1OfInteger* operator->() const 
     {
      return (PColStd_HArray1OfInteger *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_HArray1OfInteger) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
